Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class EmailImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.contact.EmailImpl

public class EmailImpl
extends BelongingImpl
implements Email

An unformatted email address and asociated descriptive text.

See Also:
  `Email`, `EmailHome`, Serialized Form

Field Summary
`java.lang.String` | `address` address [Email] <*>------> [`String`]
`java.lang.String` | `description` description [Email] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`EmailImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getAddress()` Get the value of address
`java.lang.String` | `getDescription()` Get the value of description
`void` | `setAddress(java.lang.String address)` Set the value of address
`void` | `setDescription(java.lang.String description)` Set the value of description
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    public java.lang.String address

                        address
       [Email] <*>------> [String]

### description

    public java.lang.String description

                        description
       [Email] <*>------> [String]

Constructor Detail

### EmailImpl

    public EmailImpl()

Method Detail

### getAddress

    public java.lang.String getAddress()

  Get the value of address
  Specified by:
    getAddress in interface Email
  Returns:
    address.

### setAddress

    public void setAddress(java.lang.String address)

  Set the value of address
  Specified by:
    setAddress in interface Email
  Parameters:
    `address` - address to be added

### getDescription

    public java.lang.String getDescription()

  Get the value of description
  Specified by:
    getDescription in interface Email
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the value of description
  Specified by:
    setDescription in interface Email
  Parameters:
    `description` - description to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.